/* GENERAL */
/* ------------------------------------------------------------------------------------------------------------------ */

body {
  color: #D7D7D7;
  background: #2A3739;
  font-family: 'Cantarell', sans-serif;
}

a {
  text-decoration: none;
  outline: none;
}

.noselect {
  -webkit-touch-callout: none; /* iOS Safari */
    -webkit-user-select: none; /* Safari */
     -khtml-user-select: none; /* Konqueror HTML */
       -moz-user-select: none; /* Firefox */
        -ms-user-select: none; /* Internet Explorer/Edge */
            user-select: none; /* Non-prefixed version, currently
                                  supported by Chrome and Opera */
  user-drag: none;
  user-select: none;
  -moz-user-select: none;
  -webkit-user-drag: none;
  -webkit-user-select: none;
  -ms-user-select: none;
}

/* NAVBAR */
/* ------------------------------------------------------------------------------------------------------------------ */

.navbar {
  display: flex;
  font-size: 16pt;
  color: #627F84;
  margin: 20px;
}

.navbar div {
  padding: 10px;
  cursor: pointer;
}

.navbar div:hover {
  color: #D7D7D7;
}

.navbar .selected {
  color: #E70C6E;
}

.navbar .logo {
  flex-grow: 1;
  text-align: center;
}

/* CONTENT */
/* ------------------------------------------------------------------------------------------------------------------ */

.content {
  text-align: center;
  margin: 20px;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.card-wrap {
  background: rgb(31,32,40);
  background: linear-gradient(4deg, rgba(31,32,40,1) 0%, rgba(51,68,75,1) 100%);
  margin: 20px;
  padding: 1px;
  border-radius: 15px;
  box-shadow: -2px 10px 10px -4px #0003;
}

.card {
  background: rgb(40,38,46);
  background: linear-gradient(4deg, rgba(40,38,46,1) 0%, rgba(36,47,51,1) 100%);
  padding: 20px;
  border-radius: 14px;
  text-align: start;
}

.card .title {
  font-size: 16pt;
  color: #E70C6E;
  margin: 0 10px 10px 0
}

.title {
  font-size: 18pt;
  color: #627F84;
  margin: 30px;
}

.console, .tag {
  color: #73798D;
  background: #373A44;
  border-radius: 8px;
  padding: 5px;
  margin: 5px;
  font-family: 'Ubuntu Mono', monospace;
  font-size: 12pt;
}

.console:before {
  content: "$";
  color: #E70C6E;
  padding: 5px;
}

/* HINT */
/* ------------------------------------------------------------------------------------------------------------------ */

.hint .card {
  padding: 30px 40px;
  text-align: center;
}

.hint .title {
  margin: 20px;
}

.hint .console {
  margin: 10px;
}

/* TILES */
/* (https://github.com/jgthms/bulma) */
/* ------------------------------------------------------------------------------------------------------------------ */

.tile {
  align-items: stretch;
  display: block;
  flex-basis: 0;
  flex-grow: 1;
  flex-shrink: 1;
  min-height: -webkit-min-content;
  min-height: -moz-min-content;
  min-height: min-content;
}

.tile.is-ancestor {
  margin-left: -0.75rem;
  margin-right: -0.75rem;
  margin-top: -0.75rem;
}

.tile.is-ancestor:last-child {
  margin-bottom: -0.75rem;
}

.tile.is-ancestor:not(:last-child) {
  margin-bottom: 0.75rem;
}

.tile.is-child {
  /*margin: 0 !important;*/
}

.tile.is-parent {
  padding: 0.75rem;
}

.tile.is-vertical {
  flex-direction: column;
}

.tile.is-vertical > .tile.is-child:not(:last-child) {
  margin-bottom: 1.5rem !important;
}

@media screen and (min-width: 769px), print {
  .tile:not(.is-child) {
    display: flex;
  }
  .tile.is-1 {
    flex: none;
    width: 8.33333%;
  }
  .tile.is-2 {
    flex: none;
    width: 16.66667%;
  }
  .tile.is-3 {
    flex: none;
    width: 25%;
  }
  .tile.is-4 {
    flex: none;
    width: 33.33333%;
  }
  .tile.is-5 {
    flex: none;
    width: 41.66667%;
  }
  .tile.is-6 {
    flex: none;
    width: 50%;
  }
  .tile.is-7 {
    flex: none;
    width: 58.33333%;
  }
  .tile.is-8 {
    flex: none;
    width: 66.66667%;
  }
  .tile.is-9 {
    flex: none;
    width: 75%;
  }
  .tile.is-10 {
    flex: none;
    width: 83.33333%;
  }
  .tile.is-11 {
    flex: none;
    width: 91.66667%;
  }
  .tile.is-12 {
    flex: none;
    width: 100%;
  }
}
